Get all donation goals with progress.
API Key Create a key in /app/dashboard/settings/api-keys and send it in x-api-key. Keys grant access to their owner's API data and actions; per-key scopes and OAuth delegation are not supported. Requires ZeroCut Premium. See /docs/api for onboarding, rate limits, and versioning.
In: header
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/goal/list"{ "goals": [ { "id": "00000000-0000-0000-0000-000000000000", "amount": 100000, "description": "New microphone", "isTimeBound": false, "startDate": null, "endDate": null, "isCompleted": false, "completedAt": null, "isActive": true, "showOnEmbed": true, "progress": [ { "total": 45000, "currency": "usd" } ], "createdAt": "2026-10-13T16:25:55.791Z", "updatedAt": "2026-10-13T16:25:55.791Z" } ]}{ "error": "string", "code": "string", "details": null}{ "error": "string", "code": "string", "details": null}{ "error": "string", "code": "string", "details": null}{ "error": "string", "code": "string", "details": null}{ "error": "string", "code": "string", "details": null}{ "error": "string", "code": "string", "details": null}